org.apache.tapestry5.internal

## Class InternalConstants

- java.lang.Object
- - org.apache.tapestry5.internal.InternalConstants

-     public final class InternalConstants
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ACTIVE_PAGE_LOADED` Request attribute, set to true once the active page (as identified in the incoming component event or page render request) has been successfully loaded.
    `static String` | `BASE_SUBPACKAGE`
    `static String` | `BYPASS_ACTIVATION` Request attribute that can be set to bypass page activation.
    `static String` | `CANCEL_NAME` The element name for a submit input element used to cancel the form (rather than submit it normally).
    `static String` | `CHARSET_CONTENT_TYPE_PARAMETER`
    `static String` | `COMPONENTS_SUBPACKAGE`
    `static String` | `CONTAINER_PAGE_NAME` The name of a query parameter that stores the containing page (used in action links when the page containing the component is not the same as the page that was rendering).
    `static String` | `CONTENT_ENCODING_HEADER` Name of response header for content encoding.
    `static String` | `CONTENT_TYPE_ATTRIBUTE_NAME` Used in some Ajax scenarios to set the content type for the response early, when the Page instance (the authority on content types) is known.
    `static String` | `CORE_LIBRARY` Virtual folder name for the core library.
    `static String` | `CORE_STACK_NAME` Name of the core `JavaScriptStack`, which supplies the basic JavaScript infrastructure on the client.
    `static String` | `DISABLE_DEFAULT_MODULES_PARAM` Turns off loading of default modules (as driven by JAR file Manifest entries).
    `static String[]` | `EMPTY_STRING_ARRAY`
    `static String` | `EXPANSION_START` Identifies the start of an expansion inside a template.
    `static String` | `GRID_INPLACE_UPDATE` Name of event triggered by Grid sub-components when an in-place Grid is updated.
    `static String` | `GZIP_CONTENT_ENCODING` Response content encoding value indicating use of GZIP compression.
    `static String` | `INHERIT_BINDING_PREFIX` Special prefix for parameters that are inherited from named parameters of their container.
    `static ContentType` | `JAVASCRIPT_CONTENT_TYPE`
    `static String` | `JSON_MIME_TYPE` Required MIME type for JSON responses.
    `static String` | `MIXINS_SUBPACKAGE`
    `static String` | `PAGE_CONTEXT_NAME` The name of the query parameter that stores the page activation context inside an action request.
    `static String` | `PAGE_NAME_ATTRIBUTE_NAME` As above but to store the name of the page.
    `static String` | `PAGES_SUBPACKAGE`
    `static String` | `PARTIAL_KEY` Key inside the response that contains the partial page render keys that are used to update the client.
    `static String` | `PUBLISH_COMPONENT_EVENTS_META` Name of the ComponentModel metadata key whiche stores the PublishEvent data.
    `static String` | `PUBLISH_COMPONENT_EVENTS_URL_PROPERTY` Name of the JSONObject key name which holds the name of the event to be published.
    `static String` | `REFERENCED_COMPONENT_NOT_FOUND` A bit of a hack that allows, in production mode, for a component event request to "unwind" when the component referenced in the URL does not exist.
    `static String[]` | `SUBPACKAGES` The names of the standard controlled subpackages.
    `static String` | `SUPPRESS_COMPRESSION` Request attribute key; if non-null, then automatic GZIP compression of response stream is suppressed.
    `static String` | `SUPPRESS_CORE_STYLESHEETS` Used to suppress the stylesheets from the 'core' stack; this is used on certain pages that want to work around application-specific overrides to the core stack stylesheets.
    `static String` | `SUPPRESS_NAMESPACED_IDS` Name of request parameter that suppresses the logic that injects a random-ish namespace into allocated ids when rending partial page responses.
    `static String` | `TAPESTRY_APP_PACKAGE_PARAM` Init parameter used to identify the package from which application classes are loaded.
    `static long` | `TEN_YEARS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InternalConstants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TAPESTRY_APP_PACKAGE_PARAM

          public static final String TAPESTRY_APP_PACKAGE_PARAM

      Init parameter used to identify the package from which application classes are loaded. Such classes are in the pages, components and mixins sub-packages.
      See Also:
        Constant Field Values

    - #### DISABLE_DEFAULT_MODULES_PARAM

          public static final String DISABLE_DEFAULT_MODULES_PARAM

      Turns off loading of default modules (as driven by JAR file Manifest entries).
      See Also:
        Constant Field Values

    - #### PAGE_CONTEXT_NAME

          public static final String PAGE_CONTEXT_NAME

      The name of the query parameter that stores the page activation context inside an action request.
      See Also:
        Constant Field Values

    - #### GRID_INPLACE_UPDATE

          public static final String GRID_INPLACE_UPDATE

      Name of event triggered by Grid sub-components when an in-place Grid is updated.
      See Also:
        Constant Field Values

    - #### CONTAINER_PAGE_NAME

          public static final String CONTAINER_PAGE_NAME

      The name of a query parameter that stores the containing page (used in action links when the page containing the component is not the same as the page that was rendering). The active page (the page which initiated the render) is encoded into the URL, and the containing page is tacked on as this query parameter.
      See Also:
        Constant Field Values

    - #### MIXINS_SUBPACKAGE

          public static final String MIXINS_SUBPACKAGE

      See Also:
        Constant Field Values

    - #### COMPONENTS_SUBPACKAGE

          public static final String COMPONENTS_SUBPACKAGE

      See Also:
        Constant Field Values

    - #### PAGES_SUBPACKAGE

          public static final String PAGES_SUBPACKAGE

      See Also:
        Constant Field Values

    - #### BASE_SUBPACKAGE

          public static final String BASE_SUBPACKAGE

      See Also:
        Constant Field Values

    - #### CONTENT_TYPE_ATTRIBUTE_NAME

          public static final String CONTENT_TYPE_ATTRIBUTE_NAME

      Used in some Ajax scenarios to set the content type for the response early, when the Page instance (the authority on content types) is known. The value is of type `ContentType`.
      See Also:
        Constant Field Values

    - #### CHARSET_CONTENT_TYPE_PARAMETER

          public static final String CHARSET_CONTENT_TYPE_PARAMETER

      See Also:
        Constant Field Values

    - #### PAGE_NAME_ATTRIBUTE_NAME

          public static final String PAGE_NAME_ATTRIBUTE_NAME

      As above but to store the name of the page. Necessary for determining the correct `MarkupModel` for the response.
      See Also:
        Constant Field Values

    - #### JSON_MIME_TYPE

          public static final String JSON_MIME_TYPE

      Required MIME type for JSON responses. If this MIME type is not used, the client-side Prototype code will not recognize the response as JSON, and the Ajax.Response.responseJSON property will be null.
      See Also:
        Constant Field Values

    - #### SUPPRESS_COMPRESSION

          public static final String SUPPRESS_COMPRESSION

      Request attribute key; if non-null, then automatic GZIP compression of response stream is suppressed. This is useful when the code opening the response stream wants to explicitly control whether GZIP compression occurs or not.
      Since:
        5.1.0.0
      See Also:
        Constant Field Values

    - #### CONTENT_ENCODING_HEADER

          public static final String CONTENT_ENCODING_HEADER

      Name of response header for content encoding.
      Since:
        5.1.0.0
      See Also:
        Constant Field Values

    - #### GZIP_CONTENT_ENCODING

          public static final String GZIP_CONTENT_ENCODING

      Response content encoding value indicating use of GZIP compression.
      Since:
        5.1.0.0
      See Also:
        Constant Field Values

    - #### EXPANSION_START

          public static final String EXPANSION_START

      Identifies the start of an expansion inside a template.
      See Also:
        Constant Field Values

    - #### INHERIT_BINDING_PREFIX

          public static final String INHERIT_BINDING_PREFIX

      Special prefix for parameters that are inherited from named parameters of their container.
      See Also:
        Constant Field Values

    - #### TEN_YEARS

          public static final long TEN_YEARS

    - #### EMPTY_STRING_ARRAY

          public static final String[] EMPTY_STRING_ARRAY

    - #### CORE_STACK_NAME

          public static final String CORE_STACK_NAME

      Name of the core `JavaScriptStack`, which supplies the basic JavaScript infrastructure on the client.
      Since:
        5.2.0
      See Also:
        Constant Field Values

    - #### CORE_LIBRARY

          public static final String CORE_LIBRARY

      Virtual folder name for the core library. The core library is special as any component not present in another library (including the application library) is searched for inside core.
      Since:
        5.3
      See Also:
        Constant Field Values

    - #### SUBPACKAGES

          public static final String[] SUBPACKAGES

      The names of the standard controlled subpackages.
      Since:
        5.3

    - #### CANCEL_NAME

          public static final String CANCEL_NAME

      The element name for a submit input element used to cancel the form (rather than submit it normally).
      Since:
        5.3
      See Also:
        Constant Field Values

    - #### BYPASS_ACTIVATION

          public static final String BYPASS_ACTIVATION

      Request attribute that can be set to bypass page activation.
      Since:
        5.4
      See Also:
        `StreamPageContentResultProcessor`, `PageRenderRequestHandlerImpl`, Constant Field Values

    - #### PARTIAL_KEY

          public static final String PARTIAL_KEY

      Key inside the response that contains the partial page render keys that are used to update the client.
      Since:
        5.4
      See Also:
        Constant Field Values

    - #### ACTIVE_PAGE_LOADED

          public static final String ACTIVE_PAGE_LOADED

      Request attribute, set to true once the active page (as identified in the incoming component event or page render request) has been successfully loaded. This is very important to the `ExceptionReport` page, which can possibly fail (resulting in a servlet container 500 response) if the page can't be loaded (because if the page can't be loaded, then a link to the page can't be created).
      Since:
        5.4
      See Also:
        Constant Field Values

    - #### SUPPRESS_CORE_STYLESHEETS

          public static final String SUPPRESS_CORE_STYLESHEETS

      Used to suppress the stylesheets from the 'core' stack; this is used on certain pages that want to work around application-specific overrides to the core stack stylesheets.
      Since:
        5.4
      See Also:
        Constant Field Values

    - #### REFERENCED_COMPONENT_NOT_FOUND

          public static final String REFERENCED_COMPONENT_NOT_FOUND

      A bit of a hack that allows, in production mode, for a component event request to "unwind" when the component referenced in the URL does not exist. This is related to TAP5-1481. This situation can most likely occur when a web spider, such as Google, uses an old component event URI from a prior deployment, which no longer works in a new deployment, due to structural changes. Since changing the APIs that significantly is forbidden, a non-null value is added as an `Request` attribute.
      Since:
        5.4
      See Also:
        Constant Field Values

    - #### SUPPRESS_NAMESPACED_IDS

          public static final String SUPPRESS_NAMESPACED_IDS

      Name of request parameter that suppresses the logic that injects a random-ish namespace into allocated ids when rending partial page responses. This, of course, requires a lot of testing to ensure that there are no resulting name clashes, and should not be used inside Zones containing an `AjaxFormLoop`.
      Since:
        5.4
      See Also:
        Constant Field Values

    - #### JAVASCRIPT_CONTENT_TYPE

          public static final ContentType JAVASCRIPT_CONTENT_TYPE

      Since:
        5.4

    - #### PUBLISH_COMPONENT_EVENTS_META

          public static final String PUBLISH_COMPONENT_EVENTS_META

      Name of the ComponentModel metadata key whiche stores the PublishEvent data.
      Since:
        5.4.2
      See Also:
        Constant Field Values

    - #### PUBLISH_COMPONENT_EVENTS_URL_PROPERTY

          public static final String PUBLISH_COMPONENT_EVENTS_URL_PROPERTY

      Name of the JSONObject key name which holds the name of the event to be published.
      Since:
        5.4.2
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### InternalConstants

          public InternalConstants()

5.6.0 - Copyright © 2003-2020 The Apache Software Foundation.